diff -ur ./2/freeradius-server-release_3_0_25/src/modules/rlm_couchbase/mod.c ./1/freeradius-server-release_3_0_25/src/modules/rlm_couchbase/mod.c
--- ./2/freeradius-server-release_3_0_25/src/modules/rlm_couchbase/mod.c	2021-10-08 02:46:04.000000000 +0700
+++ ./1/freeradius-server-release_3_0_25/src/modules/rlm_couchbase/mod.c	2021-10-08 01:08:16.000000000 +0700
@@ -15,7 +15,7 @@
  */
 
 /**
- * $Id: 1d4e024b8d037410be86696b4f3f972fab9068ad $
+ * $Id: 634fdb51bf0acf34a919286a8ba85003f55d4c9c $
  *
  * @brief Utillity functions used in the module.
  * @file mod.c
@@ -24,7 +24,7 @@
  * @copyright 2013-2014 The FreeRADIUS Server Project.
  */
 
-RCSID("$Id: 1d4e024b8d037410be86696b4f3f972fab9068ad $")
+RCSID("$Id: 634fdb51bf0acf34a919286a8ba85003f55d4c9c $")
 
 #include <freeradius-devel/radiusd.h>
 
@@ -371,7 +371,7 @@
 		print_int:
 			/* add a raw value to our json output - i.e. do not try resolve enum.
 			   skip this if raw_value is false, and we have a value in the dictionary */
-			if (!raw_value && !vp->da->flags.has_value) break;
+			if (!raw_value && !vp->da->has_value) break;
 #ifdef HAVE_JSON_OBJECT_NEW_INT64
 			/* debug */
 			RDEBUG3("creating new int64 for unsigned 32 bit int/byte/short '%s'", vp->da->name);
@@ -550,7 +550,6 @@
 	json_object *jrows = NULL;                               /* json object to hold view rows */
 	CONF_SECTION *client;                                    /* freeradius config section */
 	RADCLIENT *c;                                            /* freeradius client */
-	int slen;
 
 	/* get handle */
 	handle = fr_connection_get(inst->pool);
@@ -565,13 +564,7 @@
 	cookie_t *cookie = handle->cookie;
 
 	/* build view path */
-	slen = snprintf(vpath, sizeof(vpath), "%s?stale=false", inst->client_view);
-	if (slen >= (int) sizeof(vpath) || slen < 0) {
-		ERROR("rlm_couchbase: view path too long");
-		retval=-1;
-		goto free_and_return;
-	}
-
+	snprintf(vpath, sizeof(vpath), "%s?stale=false", inst->client_view);
 
 	/* query view for document */
 	cb_error = couchbase_query_view(cb_inst, cookie, vpath, NULL);
diff -ur ./2/freeradius-server-release_3_0_25/src/modules/rlm_couchbase/rlm_couchbase.c ./1/freeradius-server-release_3_0_25/src/modules/rlm_couchbase/rlm_couchbase.c
--- ./2/freeradius-server-release_3_0_25/src/modules/rlm_couchbase/rlm_couchbase.c	2021-10-08 02:46:04.000000000 +0700
+++ ./1/freeradius-server-release_3_0_25/src/modules/rlm_couchbase/rlm_couchbase.c	2021-10-08 01:08:16.000000000 +0700
@@ -15,7 +15,7 @@
  */
 
 /**
- * $Id: d011e24a6ecc37ce6f2f181f0e69dc3af4cc4f83 $
+ * $Id: 575cf9ef8be60e235e1cc841d9ecfea112d223bb $
  *
  * @brief Integrate FreeRADIUS with the Couchbase document database.
  * @file rlm_couchbase.c
@@ -24,7 +24,7 @@
  * @copyright 2013-2014 The FreeRADIUS Server Project.
  */
 
-RCSID("$Id: d011e24a6ecc37ce6f2f181f0e69dc3af4cc4f83 $")
+RCSID("$Id: 575cf9ef8be60e235e1cc841d9ecfea112d223bb $")
 
 #include <freeradius-devel/radiusd.h>
 #include <freeradius-devel/libradius.h>
@@ -474,7 +474,6 @@
 	uint32_t framed_ip_addr = 0;           /* framed ip address from accounting document */
 	char framed_proto = 0;                 /* framed proto from accounting document */
 	int session_time = 0;                  /* session time from accounting document */
-	int slen;
 
 	/* do nothing if this is not enabled */
 	if (inst->check_simul != true) {
@@ -509,12 +508,8 @@
 	cookie_t *cookie = handle->cookie;
 
 	/* build view path */
-	slen = snprintf(vpath, sizeof(vpath), "%s?key=\"%s\"&stale=update_after",
-			inst->simul_view, vkey);
-	if (slen >= (int) sizeof(vpath) || slen < 0) {
-		RERROR("view path is too long");
-		return RLM_MODULE_FAIL;
-	}
+	snprintf(vpath, sizeof(vpath), "%s?key=\"%s\"&stale=update_after",
+		 inst->simul_view, vkey);
 
 	/* query view for document */
 	cb_error = couchbase_query_view(cb_inst, cookie, vpath, NULL);
